Debian Bug report logs - #572481
xz-utils: Please build-depend on autopoint

version graph

Package: xz-utils; Maintainer for xz-utils is Jonathan Nieder <jrnieder@gmail.com>; Source for xz-utils is src:xz-utils.

Reported by: Santiago Vila <sanvila@unex.es>

Date: Thu, 4 Mar 2010 13:16:03 UTC

Severity: important

Found in version xz-utils/4.999.9beta+20100212-3

Fixed in version xz-utils/4.999.9beta+20100212-4

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sanvila@unex.es, Jonathan Nieder <jrnieder@gmail.com>:
Bug#572481; Package xz-utils. (Thu, 04 Mar 2010 13:16:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
New Bug report received and forwarded. Copy sent to sanvila@unex.es, Jonathan Nieder <jrnieder@gmail.com>. (Thu, 04 Mar 2010 13:16:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: submit@bugs.debian.org
Subject: xz-utils: Please build-depend on autopoint
Date: Thu, 4 Mar 2010 14:12:26 +0100 (CET)
Package: xz-utils
Version: 4.999.9beta+20100212-3
Severity: important
User: gettext@packages.debian.org
Usertags: switch-to-autopoint

There is now an "autopoint" package. If your package uses the
autopoint script (either directly or indirectly), please build-depend
on the autopoint package. If you had cvs in build-depends only because
of autopoint, you should drop it now.

If gettext itself is in build-depends and it's not used other than
indirectly by autopoint, it could be dropped as well.

You will find more details about this in the README.Debian file for
the gettext package (>= 0.17-10).

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#572481; Package xz-utils. (Thu, 04 Mar 2010 15:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. (Thu, 04 Mar 2010 15:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 572481@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: control@bugs.debian.org
Cc: Santiago Vila <sanvila@unex.es>, 572481@bugs.debian.org
Subject: Re: xz-utils: Please build-depend on autopoint
Date: Thu, 4 Mar 2010 09:32:18 -0600
# http://git.debian.org/?p=collab-maint/xz.git;a=commit;h=574fb65
tags 572481 + pending
thanks

Hi Santiago,

Santiago Vila wrote:

> There is now an "autopoint" package. If your package uses the
> autopoint script (either directly or indirectly), please build-depend
> on the autopoint package. If you had cvs in build-depends only because
> of autopoint, you should drop it now.

The new setup seems more intuitive.  Thanks for making it happen.

Cheers,
Jonathan




Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 04 Mar 2010 15:36:06 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sun, 07 Mar 2010 19:33:07 GMT) Full text and rfc822 format available.

Notification sent to Santiago Vila <sanvila@unex.es>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 19:33:07 GMT) Full text and rfc822 format available.

Message #17 received at 572481-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 572481-close@bugs.debian.org
Subject: Bug#572481: fixed in xz-utils 4.999.9beta+20100212-4
Date: Sun, 07 Mar 2010 19:32:24 +0000
Source: xz-utils
Source-Version: 4.999.9beta+20100212-4

We believe that the bug you reported is fixed in the latest version of
xz-utils, which is due to be installed in the Debian FTP archive:

liblzma-dev_4.999.9beta+20100212-4_amd64.deb
  to main/x/xz-utils/liblzma-dev_4.999.9beta+20100212-4_amd64.deb
liblzma-doc_4.999.9beta+20100212-4_all.deb
  to main/x/xz-utils/liblzma-doc_4.999.9beta+20100212-4_all.deb
liblzma2_4.999.9beta+20100212-4_amd64.deb
  to main/x/xz-utils/liblzma2_4.999.9beta+20100212-4_amd64.deb
xz-utils_4.999.9beta+20100212-4.debian.tar.gz
  to main/x/xz-utils/xz-utils_4.999.9beta+20100212-4.debian.tar.gz
xz-utils_4.999.9beta+20100212-4.dsc
  to main/x/xz-utils/xz-utils_4.999.9beta+20100212-4.dsc
xz-utils_4.999.9beta+20100212-4_amd64.deb
  to main/x/xz-utils/xz-utils_4.999.9beta+20100212-4_amd64.deb
xzdec_4.999.9beta+20100212-4_amd64.deb
  to main/x/xz-utils/xzdec_4.999.9beta+20100212-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated xz-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Mar 2010 10:17:15 -0600
Source: xz-utils
Binary: liblzma2 xz-utils xzdec liblzma-dev liblzma-doc
Architecture: source amd64 all
Version: 4.999.9beta+20100212-4
Distribution: unstable
Urgency: low
Maintainer: Jonathan Nieder <jrnieder@gmail.com>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 liblzma-dev - XZ-format compression library - development files
 liblzma-doc - XZ-format compression library - API documentation
 liblzma2   - XZ-format compression library
 xz-utils   - XZ-format compression utilities
 xzdec      - XZ-format compression utilities - tiny decompressors
Closes: 572481
Changes: 
 xz-utils (4.999.9beta+20100212-4) unstable; urgency=low
 .
   * debian/control: Build-Depends: autopoint instead of cvs.
     Closes: #572481.
   * debian/copyright: Clean up and include more details.
   * debian/rules get-orig-source: Unindent comment lines.
   * xz-utils: include Czech translation.
Checksums-Sha1: 
 3e5d2235aaf288c99cc773246403f1d1ed59ca8d 1454 xz-utils_4.999.9beta+20100212-4.dsc
 0ee0842882266ac7976276ecc1f14eeaa0858ded 95882 xz-utils_4.999.9beta+20100212-4.debian.tar.gz
 31b3029854e6915df2f83944a02aa2359a044a38 165076 liblzma2_4.999.9beta+20100212-4_amd64.deb
 3b7a14ee7c0015eed11c0ed3ce109d1293b89ae7 163090 xz-utils_4.999.9beta+20100212-4_amd64.deb
 c363cbc33464ee2450552d25aabd533c724d28c5 132090 xzdec_4.999.9beta+20100212-4_amd64.deb
 86f3b98c3c40ee6a522801d4c9dcf6d2303b7694 231008 liblzma-dev_4.999.9beta+20100212-4_amd64.deb
 e9afade74ebb831c7badb5ad3b713414ca31e124 493182 liblzma-doc_4.999.9beta+20100212-4_all.deb
Checksums-Sha256: 
 ccfddf9505e57c74f8a3f9bcdcee6e91a573abcf4a5d09e5552f6a47fe8dcf6f 1454 xz-utils_4.999.9beta+20100212-4.dsc
 f32ac6a28597be9b6204b47ec183c3475effa00f9d5fcf7a74954a65a5a642b5 95882 xz-utils_4.999.9beta+20100212-4.debian.tar.gz
 e3d25e0046d85cf857bb1d983bca447ecb8e33f5c7cdd3178bc688942d5a73ed 165076 liblzma2_4.999.9beta+20100212-4_amd64.deb
 3ecc6ad8414b749f30f971fd171cf4975e1975889966a7b00f8e1af62b1d1db7 163090 xz-utils_4.999.9beta+20100212-4_amd64.deb
 3d5d20f70be0d684d2de73df00d944e4b5d6c88ba8e4f54041e1ca193e75492a 132090 xzdec_4.999.9beta+20100212-4_amd64.deb
 75207f12e90fe9d3650855239139a3cbb9e5e526155ea625e919c2174b50d980 231008 liblzma-dev_4.999.9beta+20100212-4_amd64.deb
 5668eab297aaa8acf83dafb9426c90bf2d0604fe0dbe27dc98f39410a3894daa 493182 liblzma-doc_4.999.9beta+20100212-4_all.deb
Files: 
 11490baaff1317a1815a754b92d147aa 1454 utils optional xz-utils_4.999.9beta+20100212-4.dsc
 ef539fa2684d4935d55b864c1a0d0379 95882 utils optional xz-utils_4.999.9beta+20100212-4.debian.tar.gz
 0497a26c5ebb1d6d6e1ca7edd3ba68e4 165076 libs optional liblzma2_4.999.9beta+20100212-4_amd64.deb
 2261d89cac8ced52a8f68dbb11d39004 163090 utils optional xz-utils_4.999.9beta+20100212-4_amd64.deb
 31bf20fb086efca7a502f7371872a85a 132090 utils optional xzdec_4.999.9beta+20100212-4_amd64.deb
 89f6c1b3caa731b23278ca315186386c 231008 libdevel optional liblzma-dev_4.999.9beta+20100212-4_amd64.deb
 42e35f774b7dd0595966a78f49292ffa 493182 doc optional liblzma-doc_4.999.9beta+20100212-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuQUXcACgkQOU3FkQ7XBOq/eACg07t6lxB97kXHXkjrrOiV/87J
OAoAoLIqF23I3vh5z+28t3JOX/z9odqm
=v7+N
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Apr 2010 07:39:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:57:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.